//////////////////////////////////////////////////////////
// This class has been automatically generated on
// Tue Jul 10 14:45:40 2007 by ROOT version 5.15/06
// from TTree tubelist/tubelist
// found on file: Memory Directory
//////////////////////////////////////////////////////////

#ifndef tube_list_h
#define tube_list_h

#include <TROOT.h>
#include <TChain.h>
#include <TFile.h>
#include <TObject.h>

class tube_list : public TObject{
public :
   TTree          *fChain;   //!pointer to the analyzed TTree or TChain
   Int_t           fCurrent; //!current Tree number in a TChain

   // Declaration of leave types
   Int_t           TWPMT;
   Int_t           TWTYPE;
   Int_t           TETYPE;
   Int_t           TEPMT;

   // List of branches
   TBranch        *b_TWPMT;   //!
   TBranch        *b_TWTYPE;   //!
   TBranch        *b_TETYPE;   //!
   TBranch        *b_TEPMT;   //!

   tube_list(TTree *tree=0);
   virtual ~tube_list();
   virtual Int_t    Cut(Long64_t entry);
   virtual Int_t    GetEntry(Long64_t entry);
   virtual Long64_t LoadTree(Long64_t entry);
   virtual void     Init(TTree *tree);
   virtual void     Loop();
   virtual Bool_t   Notify();
   virtual void     Show(Long64_t entry = -1);
};

#endif

#ifdef tube_list_cxx
tube_list::tube_list(TTree *tree)
{
// if parameter tree is not specified (or zero), connect the file
// used to generate this class and read the Tree.
   if (tree == 0) {
      TFile *f = (TFile*)gROOT->GetListOfFiles()->FindObject("Memory Directory");
      if (!f) {
         f = new TFile("Memory Directory");
         f->cd("Rint:/");
      }
      tree = (TTree*)gDirectory->Get("tubelist");

   }
   Init(tree);
}

tube_list::~tube_list()
{
   if (!fChain) return;
   delete fChain->GetCurrentFile();
}

Int_t tube_list::GetEntry(Long64_t entry)
{
// Read contents of entry.
   if (!fChain) return 0;
   return fChain->GetEntry(entry);
}
Long64_t tube_list::LoadTree(Long64_t entry)
{
// Set the environment to read one entry
   if (!fChain) return -5;
   Long64_t centry = fChain->LoadTree(entry);
   if (centry < 0) return centry;
   if (!fChain->InheritsFrom(TChain::Class()))  return centry;
   TChain *chain = (TChain*)fChain;
   if (chain->GetTreeNumber() != fCurrent) {
      fCurrent = chain->GetTreeNumber();
      Notify();
   }
   return centry;
}

void tube_list::Init(TTree *tree)
{
   // The Init() function is called when the selector needs to initialize
   // a new tree or chain. Typically here the branch addresses and branch
   // pointers of the tree will be set.
   // It is normaly not necessary to make changes to the generated
   // code, but the routine can be extended by the user if needed.
   // Init() will be called many times when running on PROOF
   // (once per file to be processed).

   // Set branch addresses and branch pointers
   if (!tree) return;
   fChain = tree;
   fCurrent = -1;
   fChain->SetMakeClass(1);

   fChain->SetBranchAddress("TWPMT", &TWPMT, &b_TWPMT);
   fChain->SetBranchAddress("TWTYPE", &TWTYPE, &b_TWTYPE);
   fChain->SetBranchAddress("TETYPE", &TETYPE, &b_TETYPE);
   fChain->SetBranchAddress("TEPMT", &TEPMT, &b_TEPMT);
   Notify();
}

Bool_t tube_list::Notify()
{
   // The Notify() function is called when a new file is opened. This
   // can be either for a new TTree in a TChain or when when a new TTree
   // is started when using PROOF. It is normaly not necessary to make changes
   // to the generated code, but the routine can be extended by the
   // user if needed. The return value is currently not used.

   return kTRUE;
}

void tube_list::Show(Long64_t entry)
{
// Print contents of entry.
// If entry is not specified, print current entry
   if (!fChain) return;
   fChain->Show(entry);
}
Int_t tube_list::Cut(Long64_t entry)
{
// This function may be called from Loop.
// returns  1 if entry is accepted.
// returns -1 otherwise.
   return 1;
}
#endif // #ifdef tube_list_cxx
